Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.teleal.cling.support.contentdirectory
Enum BrowseActionCallback.Status

    java.lang.Object
      java.lang.Enum<BrowseActionCallback.Status>
          org.teleal.cling.support.contentdirectory.BrowseActionCallback.Status

All Implemented Interfaces:
  Serializable, Comparable<BrowseActionCallback.Status>

Enclosing class:
  BrowseActionCallback

    public static enum BrowseActionCallback.Status

extends Enum<BrowseActionCallback.Status>

Enum Constant Summary
`LOADING`
`OK`

Method Summary
`String` | `getDefaultMessage()`
`static BrowseActionCallback.Status` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BrowseActionCallback.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LOADING

    public static final BrowseActionCallback.Status LOADING

### OK

    public static final BrowseActionCallback.Status OK

Method Detail

### values

    public static BrowseActionCallback.Status[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (BrowseActionCallback.Status c : BrowseActionCallback.Status.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static BrowseActionCallback.Status valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getDefaultMessage

    public String getDefaultMessage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.